package aggregated;

import aggregated.service.DecisionModelAggregatedValuesClient;
import aggregated.service.DecisionModelAggregatedValuesRequest;
import aggregated.service.DecisionModelAggregatedValuesResponse;

public class LaunchClient {
    
    public static void main(String[] args) throws Exception {
        
        String endPointURL = "https://6502zjtlib.execute-api.us-east-1.amazonaws.com/test/decision-model-aggregated-values";
        DecisionModelAggregatedValuesClient client = new DecisionModelAggregatedValuesClient(endPointURL);
        
        DecisionModelAggregatedValuesTest test = new DecisionModelAggregatedValuesTest();
        Department[] departments = departmentsArray.get();
        
        for (int i = 0; i < departments.length; i++) {
            System.out.println("\nTry " + departments[i]);
            DecisionModelAggregatedValuesRequest request = new DecisionModelAggregatedValuesRequest();
            request.setDepartment(departments[i]);
//            request.setEmployee((Employee)departments[i].getEmployees().get(0));
            long startTime = System.currentTimeMillis();
            DecisionModelAggregatedValuesResponse response = client.execute(request);
            long endTime = System.currentTimeMillis();
            System.out.println("Result: " + response.getDepartment());
            System.out.println("Total Elapsed time: " + (endTime - startTime +1) + " ms");
        }
    }
 
}
