package org.medical.services;

import org.medical.services.service.MedicalServiceCoverageClient;
import org.medical.services.service.MedicalServiceCoverageRequest;

public class TestHarnessCloud extends TestHarness {
    
    MedicalServiceCoverageClient client;
    
    public TestHarnessCloud(String name, String endPointURL) throws Exception {
        super(name);
        client = new MedicalServiceCoverageClient(endPointURL);
    }

    @Override
    public void execute(MedicalService[] batchServices) {
        // Prepare a batch of requests
        MedicalServiceCoverageRequest[] requests = 
                new MedicalServiceCoverageRequest[batchServices.length];
        for (int i = 0; i < requests.length; i++) {
                MedicalServiceCoverageRequest request = new MedicalServiceCoverageRequest();
                request.setTrace(false);
                request.setMedicalService(batchServices[i]);
                requests[i] = request;
        }
        // Execute the batch of requests
        try {
            client.tryExecuteBatch(requests);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

